function init(hero) {
    hero.setName("Superman");
    hero.setVersion ("Comics");
    hero.setTier(9);

    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");

    hero.addPowers("soulhp:kryptonian_physiology");
    hero.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);
    hero.addAttribute("MAX_HEALTH", 5.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 11.25, 0);
    hero.addAttribute("SPRINT_SPEED", 0.45, 1);
    hero.addAttribute("KNOCKBACK", 2.0, 0);

    hero.addKeyBind("HEAT_VISION", "key.heatVision", 1);
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 2);
    hero.addKeyBind("HOVER", "key.hover", 3);
	hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 4);
	
	hero.setHasProperty(hasProperty);
}
		


function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}